Search & list agents
curl --request GET \
--url https://api.x84.ai/agentsimport requests
url = "https://api.x84.ai/agents"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.x84.ai/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"nftMint": "DRpbCBMxVnDK7maPM5tGv6MvB3v1sRMC86PZ8okm21hy",
"owner": "D6j5dis544qzYmSNixwYwBXqcDqgWiFHpi6hebPEQNVu",
"metadataUri": "https://arweave.net/abc123",
"categories": [
"defi",
"trading"
],
"active": true,
"reputation": {
"verifiedCount": 42,
"verifiedAvgScore": 90,
"unverifiedCount": 5,
"unverifiedAvgScore": 72,
"validationCount": 3
}
},
{
"nftMint": "FbA1EbECHnpmVGirBGhCRjtek8VDaL6DT3sQqQU4NXHV",
"owner": "7iRiHRnj1NofyEZVuj86Z4s5MJwVFZVR71XuAsLnwLYX",
"metadataUri": "https://arweave.net/def456",
"categories": [
"analytics"
],
"active": true,
"reputation": {
"verifiedCount": 18,
"verifiedAvgScore": 85,
"unverifiedCount": 2,
"unverifiedAvgScore": 60,
"validationCount": 1
}
}
],
"cursor": {
"next": "eyJ2IjoiMjAyNi0wMS0xNVQxMjowMDowMC4wMDBaIiwiaSI6ImFiYzEyMyJ9",
"hasMore": true
}
}Agents
Search & list agents
Search agents by metadata URI, filter by category, owner, or active status. Uses cursor-based pagination for efficient traversal. All parameters are optional — without filters returns all agents sorted by most recently updated.
GET
/
agents
Search & list agents
Query Parameters
Opaque cursor from a previous response. Omit for the first page.
Example:
"eyJ2IjoiMjAyNi0wMS0xNVQxMjowMDowMC4wMDBaIiwiaSI6ImFiYzEyMyJ9"
Items per page
Required range:
1 <= x <= 100Search query (matches metadata URI, min 2 chars)
Filter by category name (e.g. "defi"). Resolved to tag hash internally.
Filter by active status
Filter by owner pubkey
Response
200 - application/json
Cursor-paginated list of agents with reputation summaries